%define upstream_name	 bioperl-run
%define upstream_version 1.6.1

%define _requires_exceptions perl(Bio::Root::AccessorMaker)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	BioPerl wrappers for external programs
License:	Artistic
Group:		Development/Perl
Url:		http://www.bioperl.org
Source0:	http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.bz2



BuildRequires:	perl-bioperl >= 1.6.0

BuildArch:	noarch


Obsoletes:	perl-Bioperl-Run
Provides:	perl-Bioperl-Run

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n BioPerl-run-1.6.0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOI
n
a
n
EOI
%make

%check
# most of the check useanon-packaged  external tools, so they are useless there

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
#%{__rm} -f %{buildroot}%{perl_vendorlib}/bptutorial.pl
#%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes INSTALL.PROGRAMS LICENSE README
%{perl_vendorlib}/Bio
%{_mandir}/man?/*
%{_bindir}/*

%changelog
* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-3.mga1
+ Revision: 42088
- mageia rebuild
- imported package perl-bioperl-run


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.6.1-3mdv2010.1
+ Revision: 505371
- packaging installed scripts
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.6.1-2mdv2010.0
+ Revision: 440535
- rebuild

* Fri Mar 06 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 349952
- Be more explicit on desired components
- spec cleanup
- Update to 1.6.1

* Fri Mar 06 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.5.1-7mdv2009.1
+ Revision: 349714
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.5.1-6mdv2009.0
+ Revision: 255467
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.1-4mdv2008.1
+ Revision: 136664
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-4mdv2008.0
+ Revision: 85920
- rebuild


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-3mdv2007.0
- Rebuild

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdk
- add a dependency exception

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdk
- new version

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdk
- spec cleanup
- corrected name

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- new version

